# O Manual do &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

A Equipe de Desenvolvimento amaroK
Programadores
Marcus
Gama

    marcus_gama@uol.com.br

Tradução
2005
A Equipe de Desenvolvimento do amaroK
&FDLNotice;
2005-01-02
2.1

&amarok; é uma leitor multimídia para o Ambiente de Trabalho K.

KDE
multimídia
leitor
áudio
ogg
mp3
wav
música
som

## Introdução

Logotipo

O &amarok; é o leitor de áudio para o &kde;. O &amarok; é um leitor de áudio completo que tanto é poderoso como fácil de usar.

Você já se sentiu preso à procura de menus intermináveis só para adicionar músicas à sua lista? Com o &amarok;, você poderá simplesmente arrastar e soltar músicas na lista. Talvez queira procurar por aquela música em especial no meio das milhares da sua coleção. O navegador da coleção do &amarok;, com a sua barra de procura, o ajudará a procurar essa música numa questão de segundos.

Com isto, parece que o &amarok; tem os mesmos antigos recursos que qualquer leitor de áudio mediano tem, mas nós ainda não terminamos. Uma olhada no navegador de contexto fará com que veja porque o &amarok; está um passo à frente dos demais. O navegador de contexto contém uma base de dados que é compilada em tempo de execução para lhe fornecer estatísticas atualizadas sobre a sua lista. O navegador de contexto também poderá mostrar as imagens das capas dos álbuns, o que o torna não só informativo mas também divertido de ver.

Você já possui várias listas de músicas diferentes mas não se consegue decidir qual deseja usar? Então o navegador de listas de músicas é mesmo o indicado para você. O carregamento das suas listas de músicas gravadas no navegador de listas de músicas é tão simples quanto pressionar uma tecla.

Junto com o aRts, o &amarok; também suporta os servidores de som do GStreamer, do NMM, e do xine, tornando-o o leitor de áudio mais avançado para o &kde;. O &amarok; é inteligente, é 'sexy', é hábil. Experimente-o já!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Créditos e Licença

Direitos autorais do programa 2003-2004 Mark Kretschmann markey@web.de e A Equipe do AmaroK.

### A Equipe AmaroK

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner bochi@online.ms

### Contribuições:

- Adam Pigg (analisadores, correções) adam@piggz.fsnet.co.uk

- Adeodato Simo (correções) asp16@alu.ua.es

- Andreas Mair (Suporte ao MySql) am_ml@linogate.com

- Dan Leinir Turthra Jensen (assistente de primeira execução) admin@removeleinir.dk

- Enrico Ros (analisadores, rei do openGL) eros.kde@email.it

- Jarkko Lehti (testes) grue@iki.fi

- Josef Spillner (código do Estação de Rádio do KDE) spillner@kde.org

- Kenneth Wesley Wimer II (ícones) kwwii@bootsplash.org

- Melchior Franz (nova rotina FFT, correções) mfranz@kde.org

- Michael Pyne (código de exportação para o K3B) michael.pyne@kdemail.net

- Nenad Grujicic (tela inicial do 1.1) mchitman@neobee.net

- Olivier Bédard (hospedagem da página Web) paleo@pwsp.net

- Roland Gigler (motor do MAS) michael.pyne@kdemail.net

- Sami Nieminen (suporte do Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (melhoramentos do OSD, correções, testes) seb100@optusnet.com.au

- Whitehawk Stormchaser (testes, correções) zerokode@gmx.net

Direitos autorais da documentação 2004 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Instalação

### Como obter o &amarok;

O &amarok; pode ser obtido na página do &amarok;

A versão de desenvolvimento mais recente pode ser obtida no módulo de CVS do &kde; kdeextragear-1.

#### Como compilar o &amarok;

Para poder compilar e instalar o amaroK no seu sistema, digite o seguinte comando na pasta base da distribuição do amaroK:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

A opção do 'configure' --enable-final já não é mais suportada.

Uma vez que o &amarok; usa o autoconf e o automake, você não deverá ter problemas ao compilá-lo. Se porventura os tiver, comunique-os por favor nas listas de correio do &kde;.

#### Opções de Configuração

O &amarok; é como os outros aplicativos, na medida em que possui várias opções de compilação que poderão ser ativadas ou desativadas durante o 'configure'. Esta é uma lista das opções que poderão ser configuradas.

Algumas das opções de compilação necessitam usar certas dependências específicas. Veja a seção de requisitos para mais detalhes.

Opção | Padrão | Descrição
--- | --- | ---
--enable-debug= | no | Ativa os símbolos de depuração. Opte por yes, no e full. Por favor, use o full se estiver interessado em ajudar no desenvolvimento do &amarok;.
--enable-mysql | Desligado | Ativa o suporte da base de dados MySQL no &amarok;
--disable-amazon | Ativado | Desativa o suporte de obtenções das capas na Amazon para o &amarok;
--without-arts | Com | Desativa o suporte do aRts no &amarok;
--without-gstreamer | Com | Desativa o suporte do GStreamer no &amarok;
--without-xine | Com | Desativa o suporte do Xine no &amarok;
--with-nmm | Sem | Ativa o suporte do NMM no &amarok;
--with-mas | Sem | Ativa o suporte do MAS no &amarok;
--without-opengl | Com | Desativa o suporte de OpenGL (analisador) no &amarok;
--without-included-sqlite | Com | Não usa o código do 'sqlite' incluído (necessita de ter o 'sqlite' instalado)

&documentation.index;